List supported exchanges and wallets
curl --request GET \
--url https://v1.orchestrator.rhinestone.dev/deposit-processor/onramp/swapped/connect-exchanges \
--header 'x-api-key: <x-api-key>'import requests
url = "https://v1.orchestrator.rhinestone.dev/deposit-processor/onramp/swapped/connect-exchanges"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://v1.orchestrator.rhinestone.dev/deposit-processor/onramp/swapped/connect-exchanges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"exchanges": [
{
"connection": "<string>",
"name": "<string>",
"logoUrl": "<string>",
"kind": "exchange",
"appHandoff": "none"
}
],
"fetchedAt": "<string>",
"expiresAt": "<string>",
"stale": true,
"exchangeFeeBps": 1
}{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
],
"code": "<string>"
}
]
}{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
],
"code": "<string>"
}
]
}{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
],
"code": "<string>"
}
]
}{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
],
"code": "<string>"
}
]
}Onramp
List supported exchanges and wallets
Returns the connections available for funding through Swapped Connect. Defaults to the centralized exchanges; pass kind=wallet or kind=all for the Web3 wallets, or connections to resolve an explicit allowlist.
GET
/
onramp
/
swapped
/
connect-exchanges
List supported exchanges and wallets
Headers
API key for authentication
Example:
"your-api-key"
Query Parameters
Maximum string length:
1024Example:
"coinbase,kraken,phantom_wallet"
Available options:
exchange, wallet, all Example:
"all"
Was this page helpful?